scrub-obsolete Package - libquartz2-java

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/libquartz2-java scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 2850da1..55aaa53 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+libquartz2-java (2.3.2-2) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on maven-debian-helper.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 20 May 2021 10:07:56 -0000
+
 libquartz2-java (2.3.2-1) experimental; urgency=medium
 
   * Update debian/watch for canonical Github tags format
diff --git a/debian/control b/debian/control
index 950353a..e0d1e92 100644
--- a/debian/control
+++ b/debian/control
@@ -27,7 +27,7 @@ Build-Depends:
  libmaven-bundle-plugin-java,
  libmaven-shade-plugin-java,
  libservlet3.1-java,
- maven-debian-helper (>= 1.4)
+ maven-debian-helper
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/libquartz2-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libquartz2-java

Run locally

Try this locally (using the lintian-brush package):

debcheckout libquartz2-java
cd libquartz2-java
deb-scrub-obsolete

More details

Full run details